N1 G54
N2 T7 F200 S3200 M13
; Input parameters
N3 P1=60                                ; 1st half-axis
N4 P2=40                                ; 2nd half-axis
N5 P3=-5                                ; Depth
N6 P5=5                                 ; Angular increment
; Calc. parameters
N7 P100=0                               ; Counter
N8 P10=-P1                              ; X start pos.
N9 P20=0                                ; Y start pos.
; Movements
N10 G0 X=P10 Y=P20
N11 G0 Z2
N12 G1 Z=P3
N13 P10=-P1*COS(P100)                   ; X position
N14 P20=P2*SIN(P100)                    ; Y position
N15 G1 X=P10 Y=P20
N16 P100=P100+P5
N17 G29 N13 V=P100 O4 W360              ; Loop while angle < 360
N18 G1 X=-P1 Y0
; Exit
N19 G0 Z100 M9
N20 M30
